FileCountLimitExceededException (Apache Tomcat 8.5.85 API Documentation)

Package org.apache.tomcat.util.http.fileupload.impl

## Class FileCountLimitExceededException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.tomcat.util.http.fileupload.FileUploadException
        - - org.apache.tomcat.util.http.fileupload.impl.FileCountLimitExceededException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class FileCountLimitExceededException
      extends FileUploadException

  This exception is thrown if a request contains more files than the specified limit.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FileCountLimitExceededException​(java.lang.String message, long limit)` | Creates a new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getLimit()` | Retrieves the limit that was exceeded.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FileCountLimitExceededException

          public FileCountLimitExceededException​(java.lang.String message,
                                                 long limit)

      Creates a new instance.
      Parameters:
        `message` - The detail message
        `limit` - The limit that was exceeded

  - ### Method Detail

    - #### getLimit

          public long getLimit()

      Retrieves the limit that was exceeded.
      Returns:
        The limit that was exceeded by the request